<?php
if (isset($_POST['itemname']) && isset($_POST['itemcategory']) && isset($_POST['itemtype']) && isset($_POST['itemid'])) {
    require_once('../buda_agro_class.php');
    $gcon = new buda_agro_class();
    $itemid=$_POST['itemid'];
    $itemcategory=$_POST['itemcategory'];
    $itemname=$_POST['itemname'];
    $itemtype=$_POST['itemtype']; 

 if($gcon->vitemname($itemname) && $gcon->vitemtype($itemtype) && $gcon->vitemcategory($itemcategory))
      {
        ?>
         <center>
         <div>
        
        <?php   
         $r= $gcon->updateItemDetail($itemcategory,$itemname,$itemtype,$itemid);
         if($r->rowCount()>0)
         { 
          echo "Successful!..";
           $itemcategory ="";
           $itemname="";
           $itemtype="";
         }else{
          echo "Submission error!..";
          //$u=$r->ErrorInfo();
          //print_r($u);//"Error occurred while saving data!..";
              }
          
        ?> 
       </div>
       </center> 

        <?php
    
      }
      else{

        //////////////
        ?>
         <center>
         <div>
         <sup> <?php
              echo  $gcon->eitemname($itemname)."<p/>"; 
              echo  $gcon->eitemcategory($itemcategory)."<p/>";
              echo  $gcon->eitemtype($itemtype)."<p/>";
             ?>
       </sup>
       </div>
       </center> 

        <?php
        /////////////

      }
    }else
    {
      echo "Incomplete Submission!..";
    }
?>